Public Member Functions | Public Attributes | Friends | List of all members
MoreTextInternal::Comment Struct Reference

Internal: the comment data of a MoreText. More...

## Public Member Functions
| Comment ()
| constructor More...

## Public Attributes
MWAWEntry | m_entry
| the text entry More...
std::string | m_extra
| extra data More...

## Friends
std::ostream & | operator<< (std::ostream &o, Comment const &comment)
| operator<< More...

## Detailed Description

Internal: the comment data of a MoreText.

## Constructor & Destructor Documentation

## ◆ Comment()

MoreTextInternal::Comment::Comment | ( |  | ) |
| inline

constructor

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | Comment const & | comment
| ) |  |
| friend

operator<<

## Member Data Documentation

## ◆ m_entry

MWAWEntry MoreTextInternal::Comment::m_entry

the text entry

Referenced by MoreText::readComment().

## ◆ m_extra

std::string MoreTextInternal::Comment::m_extra

extra data

Referenced by MoreText::readComment().

The documentation for this struct was generated from the following file:

- MoreText.cxx